# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    bin_name = glob.glob("OpenShellSetup_*.exe")[0]
    install_exe_if_needed(
        bin_name,
        silentflags="/qn NOSTART=1 ADDLOCAL=StartMenu",  # ADDLOCAL=ClassicExplorer,StartMenu,ClassicIE
        name="Open-Shell",
        min_version=control.get_software_version(),
        timeout=600,
    )

    # Avoid Open-Shell displays following message after OS upgrade (https://github.com/Open-Shell/Open-Shell-Menu/wiki/OS-upgrade-without-user-interaction)
    run('"%s" -upgrade -silent' % makepath(programfiles, "Open-Shell", "StartMenu.exe"))


def session_setup():
    print("Disabling: automatic updates")
    registry_set(HKEY_CURRENT_USER, r"SOFTWARE\OpenShell\OpenShell\Settings", "Update", 0, type=REG_DWORD)

    if windows_version(2) == WindowsVersions.WindowsServer2012 or windows_version(2) == WindowsVersions.WindowsServer2012R2:
        print("Disabling: Windows 8.x Metro")
        registry_set(HKEY_CURRENT_USER, r"SOFTWARE\OpenShell\StartMenu\Settings", "DisableHotCorner", "DisableAll")
        registry_set(HKEY_CURRENT_USER, r"SOFTWARE\OpenShell\StartMenu\Settings", "SkipMetro", 1)
